# Twig Configuration
twig:
    form:
        resources:
            - 'RawafedUploaderBundle:Form:fields.html.twig'

#oneup_uploader:
#    mappings:
#        gallery:
#            frontend: blueimp # or any uploader you use in the frontend


#oneup_uploader:
#    mappings:
#        gallery:
#            frontend: fineuploader
#            enable_cancelation: true
#            enable_progress: true
#
#    chunks:
#        maxage: 86400
#        storage:
#            directory: %kernel.cache_dir%/uploader/chunks
#            type: gaufrette
#            filesystem: gaufrette.gallery_filesystem
#            prefix: 'chunks'
#            stream_wrapper: 'gaufrette://gallery/'



oneup_uploader:
    chunks:
        maxage:               604800
        storage:
            type:               filesystem
            directory:          ~
            filesystem:         ~
            sync_buffer_size:   1000000    ## numeric value only
            stream_wrapper:     ~
            prefix:             'chunks'
        load_distribution:    true
    orphanage:
        maxage:               604800
        directory:            ~
    twig:                 true
    mappings:
        gallery_fineuploader:
            frontend: fineuploader
            enable_cancelation: true
            enable_progress: true

        gallery_blueimp:
            frontend: blueimp
            enable_cancelation: true
            enable_progress: true
            storage:
                 service:              ~
                 type:                 filesystem
                 filesystem:           ~
                 directory:            ~
                 stream_wrapper:       ~
                 sync_buffer_size:     500000       ## numeric value only
            max_size: 50000000,
#            allowed_mimetypes:     [jpg, png, gif]
#            disallowed_mimetypes:  [exe, zip, gz, tar, sh]

        # Prototype
        id:
            frontend:             blueimp
            custom_frontend:
                name:                 ~
                class:                ~
            storage:
                service:              ~
                type:                 filesystem
                filesystem:           ~
                directory:            ~
                stream_wrapper:       ~
                sync_buffer_size:     500000
            route_prefix:
            allowed_mimetypes:     []
            disallowed_mimetypes:  []
            error_handler:        oneup_uploader.error_handler.noop

            # Set max_size to -1 for gracefully downgrade this number to the systems max upload size.
            max_size:             9223372036854775807
            use_orphanage:        true
            enable_progress:      true
            enable_cancelation:   true
            namer:                oneup_uploader.namer.uniqid